accounts:
    cloudantdb:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              username: <username> (optional)
              password: <password> (optional)
              apiKey: <apiKey> (optional)
          endpoint:
              url: <url> (optional)
    confluence:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              username: <username> (required)
              password: <password> (required)
              secureDestinationHost: <secureDestinationHost> (optional)
              secureDestinationPort: <secureDestinationPort> (optional)
              onPremiseUri: <onPremiseUri> (optional)
              secureDestinationTlsCert: <secureDestinationTlsCert> (optional)
              secureDestinationTlsKey: <secureDestinationTlsKey> (optional)
          endpoint:
              endpointUrl: <endpointUrl> (required)
    domino:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              username: <username> (required)
              password: <password> (required)
              secureDestinationHost: <secureDestinationHost> (optional)
              secureDestinationPort: <secureDestinationPort> (optional)
              secureDestinationTlsCert: <secureDestinationTlsCert> (optional)
              secureDestinationTlsKey: <secureDestinationTlsKey> (optional)
          endpoint:
              endpointUrl: <endpointUrl> (required)
    http:
        - name: <Account Name> (required)
          credentials:
              authType: none
              username: <username> (optional)
              password: <password> (optional)
              apiKeyValue: <apiKeyValue> (optional)
              apiKeyLocation: <apiKeyLocation> (optional)
              apiKeyName: <apiKeyName> (optional)
          endpoint:
              endpointUrl: <endpointUrl> (optional)
    ibmtwc:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              apiKey: <apiKey> (required)
    ift:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              apiKey: <apiKey> (required)
              organizationId: <organizationId> (required)
          endpoint:
              url: 'https://sandbox.food.ibm.com/ift/api/connector'
    jira:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              username: <username> (required)
              password: <password> (required)
              secureDestinationProtocol: HTTPS
          endpoint:
              endpointUrl: <endpointUrl> (required)
    maximo:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              username: <username> (required)
              password: <password> (required)
              websphereUsername: <websphereUsername> (optional)
              webspherePassword: <webspherePassword> (optional)
              secureDestinationProtocol: <secureDestinationProtocol> (optional)
              secureDestinationHost: <secureDestinationHost> (optional)
              secureDestinationPort: <secureDestinationPort> (optional)
          endpoint:
              endpointUrl: <endpointUrl> (required)
    mssharepoint:
        - name: <Account Name> (required)
          credentials:
              authType: basicOauth
              resource: <resource> (required)
              accessToken: <accessToken> (required)
              refreshToken: <refreshToken> (required)
              clientId: <clientId> (required)
              clientSecret: <clientSecret> (required)
        - name: <Account Name> (required)
          credentials:
              authType: basic
              username: <username> (required)
              password: <password> (required)
              secureDestinationProtocol: HTTPS
          endpoint:
              siteCollectionUrl: /
    rediscache:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              host: <host> (required)
              port: <port> (required)
              password: <password> (required)
              databaseNumber: '0'
              redisVersionNumber: '4.0'
              tlsRejectUnauthorized: <tlsRejectUnauthorized> (required)
              tlsCa: <tlsCa> (optional)
    salesforce:
        - name: <Account Name> (required)
          credentials:
              authType: oauth2Password
              username: <username> (required)
              password: <password> (required)
              clientIdentity: <clientIdentity> (required)
              clientSecret: <clientSecret> (required)
          endpoint:
              loginUrl: 'https://login.salesforce.com/'
    servicenow:
        - name: <Account Name> (required)
          credentials:
              authType: oauth2Password
              apiVersion: <apiVersion> (optional)
              username: <username> (required)
              password: <password> (required)
              accessToken: <accessToken> (required)
              refreshToken: <refreshToken> (required)
              clientId: <clientId> (required)
              clientSecret: <clientSecret> (required)
          endpoint:
              url: <url> (required)
    silverpop:
        - name: <Account Name> (required)
          credentials:
              authType: oauth2Password
              accessToken: <accessToken> (required)
              refreshToken: <refreshToken> (required)
              clientId: <clientId> (required)
              clientSecret: <clientSecret> (required)
          endpoint:
              apiUrl: >-
                  https://developer.ibm.com/customer-engagement/docs/watson-marketing/ibm-engage-2/watson-campaign-automation-platform/xml-api/
    watsondiscovery:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              apiKey: <apiKey> (optional)
              username: <username> (optional)
              password: <password> (optional)
          endpoint:
              baseUrl: <baseUrl> (required)
    watsonlt:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              apiKey: <apiKey> (optional)
              username: <username> (optional)
              password: <password> (optional)
          endpoint:
              baseUrl: <baseUrl> (required)
    watsonnlclassifier:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              apiKey: <apiKey> (optional)
              username: <username> (optional)
              password: <password> (optional)
          endpoint:
              baseUrl: <baseUrl> (required)
    watsonpi:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              apiKey: <apiKey> (optional)
              username: <username> (optional)
              password: <password> (optional)
          endpoint:
              baseUrl: <baseUrl> (required)
    watsontoneanalyzer:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              apiKey: <apiKey> (optional)
              username: <username> (optional)
              password: <password> (optional)
          endpoint:
              baseUrl: <baseUrl> (required)
    watsonvr:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              apiKey: <apiKey> (required)
              apiVersion: v3
              versionDate: '2018-03-19'
              loggingFlag: 'true'
    workday:
        - name: <Account Name> (required)
          credentials:
              authType: basic
              domainName: <domainName> (required)
              tenantName: <tenantName> (required)
              username: <username> (required)
              password: <password> (required)
              version: v32.1
